CLASS DigitalLED74 (Defined in: jpgraph_led.php : 24)

DigitalLED74
DigitalLED74() SetSupersampling() StrokeNumber()

Class usage and Overview

Class Methods

function DigitalLED74($aRadius,$aMargin)
Constructor for 4x7 module LED digits

Argument | Default | Description
--- | --- | ---
$aRadius |  | Radius in pixel for each "led"
$aMargin |  | Margin around the "led"

Description
Instantiate a LED digit class that is used to genereta text which looks like LED digits
Returns
An instance of the LED class
See also
DigitalLED74::SetSupersampling and DigitalLED74::StrokeNumber

Example

$led = new DigitalLED74();
$led->StrokeNumber('0123456789. ABCDEFGHIJKL',LEDC_GREEN);

function SetSupersampling($aSuperSampling)
Set level of supersampling used in the creation led digits

Argument | Default | Description
--- | --- | ---
$aSuperSampling |  | Level of supersampling

Description
Specifies the amount of oversampling that sould be used to create a smoother looking image. A higher value will generate a smoother image. The value used for supersampling should be an integer in the range 2-4. A higher value could be used but the increase in CPU time will not generate any perceivable improvements in image quality. For each integer step increased supersampling the processor time needed is multipled by 2
Returns
void

Example

$led = new DigitalLED74(5);
$led->SetSupersampling(4);
$led->StrokeNumber('ABC123.',LEDC_RED);

function StrokeNumber($aValStr,$aColor)
// Margin in between "Led" dots

Argument | Default | Description
--- | --- | ---
$aValStr |  | No description available
$aColor | 0 | No description available

Description
No description available.